Cordova Commits from 2.9.0 -> 3.0.0

cordova-android
---
d0b3f41 Incrementing version to 3.0.0, ready for tagging
d91ac45 [CB-3384] Fix thread assertion when plugins remap URIs (cherry picked from commit b915aafb5be31912129b04c7e70b9c0a9908ee9c)
4884928 [CB-4133] Add main thread warning for plugins that run too long
0b6e90b We can remove the plugins tag now. Tested plugman, it's all good.
25bb215 Updating with the new JS with the file fixes
d514983 Update cordova.js to latest (3.0.0-rc1) version
88b289d [CB-3384] Use the ExposedJsApi to detect webCore thread instead of IceCreamCordovaWebViewClient.
71b19f5 Updating Cordova Version Files for RC1
5c4fa21 CB-4230: We test Cordova, not jQuery Mobile
1895d8a CB-3944: Removing activity that doesn't exist
7f5f87a CB-3957: The new activity wasn't added to the Android Manifest
0244341 moved the backgroundcolor class to correct classpath
ae96d56 changes the test name to make it auto run
a9ebf50 Prevent NPE in case webview is lately initialized
8d8cbf6 Set minSdkVersion to 8 for DroidGap project
77e9092 [CB-3384] Reworked UriResolver into CordovaResourceApi.
210d7c7 [CB-3605] Updated README to reflect changes in command-line scripts for cordova-android.
01ad3f4 [CB-3605] removing unused package.json
546948c [CB-4154] Set default Android target to android-17
37c20c3 Updating cordova.js for unit tests
22daea1 Accidentally committed Blacklist Test, removing this broken test case
792aa78 Updating imports on all the tests
5cf95cf CB-4156: Adding back the App plugin, since this is required
fff9563 [CB-4140] Fix master branch cordova version to DEV
3ae28b3 [CB-4151] Extract whitelist from Config class for testability
b5df9dd CB-3724: Removing the file exceptions
b6a01a2 [CB-4103] Made config parameters case-insensitive.
990d913 [CB-3384] Add a length getter for UriResolver. Change from interface -> abstract class.
b5c3ac6 [CB-4038] - Remove o.a.c.api namespace
55865a4 Let subclasses override focus behavior
ff27ad3 CB-3172: Killing the deprecation notice in Android, waiting for plugman fixes before removing the empty tags
85bad87 CB-4139: Seriously, we didn't deprecate this for a year? WTF?
f7014f1 Update cordova.js -- includes new Binary bridge, supporting Android 4.0
99341bc [CB-3384] Make UriResolver assert that IO is not on the UI nor WebCore threads.
bf62910 Added 'log' back to windows cli tooling
79829f6 [CB-4038] Move non-deprecated classes from the api package into the main package.
892ffc8 [CB-3384] Rewrite of DataResource into UriResolver + UriResolvers
fbf7f1c Fixes to the update command so it doesn't delete anything other than build artifacts
3b7e050 Remove accidentally checked in log statement "running exec normally" (cherry picked from commit 68bc57ae85287d1425f162f0f50f571f3302b259)
68bc57a Remove accidentally checked in log statement "running exec normally"
f42e5f6 Explicitly print exceptions that occur within ExposedJsApi.
10d31ea Explicitly print exceptions that occur within ExposedJsApi.
e64ebdf [CB-3998] video duration is an int
b83610a CB-3949: Adding code to mitigate broken intents with the application installer
16e0838 [CB-3927] Fix start-up race condition that could cause exec() responses to be dropped.
9cb1483 [CB-3927] Fix start-up race condition that could cause exec() responses to be dropped.
6fe66ad Accidentally commented "build" out when running ./run --emulator. Whoops D:
f78b444 Remove PluginManager.exec's return value (unused).
9946d15 Remove PluginManager.exec's return value (unused).
01d6ae5 CB-3854: Added support for wildcard.  This probably could be improved, but it does work
f1b377b CB-3854: Added support for wildcard.  This probably could be improved, but it does work
03c5208 Update JS snapshot to version 2.9.0rc1 (via coho)
3a14017 CB-3932 Remove baseUrl comment in handleDestroy method made redundant by CB-3766
e726c0d updated cordova.js
98b971b CB-3902: Explicitly add market URIs to CordovaWebViewClient so this always works, not just sometimes
4ec3d6d [CB-3625] [CB-3338] updated windows cli scripts and added version option
c531d97 Need to remove reference to device plugin in template
8c9e416 CB-3784: Patches are always welcome
63ab701 updated js from latest cordova-js 3.0
c8140ba removed device.java
2e5b6bc updated cordova.js to remove dependency on network status plugin.
5ee1787 Axed all permissions from template manifest except for INTERNET. Bumped minSDkVersion to 10.
d845736 removed file system access permission
dd837f7 removed vibration permission
e30bc6b updated cordovajs
9288158 Made some functions in DirectoryManager public
3a55991 updated js
9e44596 updated directory manager
b3fe479 removed android.permission.ACCESS_COARSE_LOCATION and android.permission.ACCESS_FINE_LOCATION from AndroidManifest.xml for PBR
98d9901 removed contacts from js
75f358d removed contact code from js
f7c97cb removed splashscreen code from cordova.js
7c22bc7 removed batter code from js
dfd668d removed inappbrowser from cordovajs
dbc6dd7 removed CordovaLocationListner
4765c6f updated cordovajs, removed geolocation code
78dd084 updated cordova.js to include proper plugin loading
cd9fb9b updated cordovajs
adcbd87 ripped out plugins
cordova-ios
---
8c50ee2 Updated cordova.js to 3.0.0
46b2120 Updated VERSION to 3.0.0
945927b [CB-4277] Revert deleting of <param name="onload" value="true" /> support
68f2bc6 [CB-4133] iOS detection of plugins that run long on main thread
f846015 [CB-4277] onload (boolean) attribute of config.xml param tag is ignored
5fc0727 Updated RELEASENOTES for 3.0.0
5a8a88b Updated VERSION file to 3.0.0rc1
d320bf1 Updated version in CDVAvailability.h to 3.0.0
c732c0a Updated cordova.js to 3.0.0rc1
8050fda [CB-3530] PhoneGap app crashes on iOS with error "CDVWebViewDelegate: Navigation started when state=1" (for navigation to an anchor on the same page)
48b5945 [CB-4199] iOS Platform Script `run --device` uses Simulator
29023ad [CB-4095] Add some additional whitelist unit tests
bcece6f [CB-4202] [CB-4145] Remove use of useSplashScreen property by unit tests
8985f6d [CB-4202] [CB-1107] Remove unit tests for old plugin signature
a37785b [CB-4202] [CB-3973] Remove unit test dependency on Dialogs plugin
9fb953d [CB-4202] [CB-3726] Remove File Transfer plugin unit tests
a7d8a16 [CB-4202] [CB-3653] Remove EXIF (Camera plugin) unit tests
b246b4a [CB-4202] [CB-3681] Remove Contact plugin unit tests
7dcdf69 [CB-3448] bin/diagnose_project script fails if CORDOVALIB variable not in prefs plist
89f165e [CB-3567] Redirect initiated in JavaScript fails the app from loading
2d5e3c8 Interim js
5d6d694 [CB-2180] Convert iOS project template to use ARC
01a75e2 [CB-1107] Remove old plugin signature, update Plugin Dev Guide
3e18f93 [CB-3175] Change <plugin> to <feature> in config.xml and remove deprecation notice in iOS
c24b6e3 [CB-4145] Remove CDVViewController.useSplashScreen property
568c7bf [CB-4088] `cordova emulate ios` replaces spaces in project name with underscores, conflicting with `cordova build ios` behavior
d5ceebb Removed iphone/beep.wav since it is already contained in the dialogs core plugin
e562ff9 [CB-4104] Made config parameters case-insensitive.
4bde06d [CB-2608] Remove deprecate EnableLocation key from the confi.xml file
e185216 Have create script include .gitignore file.
c6664c8 Remove CDVLogger (moved out to cordova-plugin-console)
fe39717 [CB-4037] Unable to Archive iOS projects for upload to App Store in 2.9
9e48d82 [CB-4025] iOS emulate command broken when run inside the cordova folder
ce9a0d6 added cdvshared to buildphases
f705b31 added cdvshared
d510386 Updated js to 2.9.0
f7b82da [CB-3530] Updated unit tests
9ca7421 [CB-3701] Removed Capture.bundle from default project template for 3.0.0
f721482 re-enable video duration
7569c3e added missing reference to viewController.m
067bc70 removed media from ios source
e5ee1f2 rebased off master, updated js
925c7f4 updated cordova.js
362e4f1 removed network information from ios
bc66e14 updated cordovajs
33b2858 fixed duplication with file plugin issue
57dbc0a updated js
43d748c removed device, capture, file, filetransfer
48f3dd9 updated cordovajs
9586f94 updated js
6fa81c3 removed camera code
b229ae0 updated cordovajs, removed globalization and camera
2e1830a removed globalization
c28b0b8 updated cordova js file
165b8be updated view controller
eb64bf3 removed native plugin files for various plugins
c7750bb removed various plugins from config.xml and projet.pbxproj
9f1d0fd converted cordova template to arc
3af6ca4 Updated RELEASENOTES for 2.9.0rc1
cfa5487 Updated CDVAvailability version to 2.9.0
db43c76 [CB-3530] PhoneGap app crashes on iOS with error "CDVWebViewDelegate: Navigation started when state=1" (for navigation to an anchor on the same page)
478f683 Update JS snapshot to version 2.9.0rc1 (from re-tag)
42644d0 updated cordova.js
5c7efe0 removed network information from ios
6067588 updated cordovajs
8159679 fixed duplication with file plugin issue
b6869e1 updated js
b428f24 removed device, capture, file, filetransfer
1b5b123 updated cordovajs
83b0ad7 updated js
e07c199 removed camera code
cae2231 updated cordovajs, removed globalization and camera
7d637e3 removed globalization
972e5ce updated cordova js file
7057af9 updated view controller
4c1a0e4 removed native plugin files for various plugins
87479a3 removed various plugins from config.xml and projet.pbxproj
e25adaa converted cordova template to arc
cordova-blackberry
---
c5b0cad [CB-4302] updated version to 3.0.0
aa24cd9 [CB-4302] update to *tagged* js
49d5b12 [CB-4292] Update plugman to 0.9.10
8722393 [CB-4292] Remove remaining plugins
ed4b516 [CB-4302] update of cordova.js for 3.0.0
3b356e1 [CB-4287] Update BB10 Readme file
f662c27 [CB-4287] Update BB10 Readme file
d273506 [CB-4268] Add support for --device and --emulator to run script
698d188 [CB-4268] Rework util functions to support getting list of connected devices / emulators
b017b80 [CB-4272] Improve error messages related to debug tokens and signing
5a00403 [CB3167] added plugin element deprecation notice to config.xml
fd0ca93 [CB-4216] updating js
55602bd [CB-4268] Add --device and proper error exit code to run script
8a361f9 [CB-4259] Updating cordova/plugin to pass through to better support urls
91b9453 [CB-4259] Remove all plugins and the logic to add them during create
b7a7410 [CB-4216] updated cordova.js
6f331dc [CB-4231] added missing default icon, fixing failing scripts
69105e0 CB-4228
90779d5 [CB-2967] implementation of project level list-started-emulators
d8f3fd0 [CB-4185] implementation of list-emulator images script
210a740 [CB-4180] fixes run tool reference error "generateBarName" not found
92c392c changed copyright notice from RIM to Apache
cad449d [CB-4152] fixed device printout to conform to spec, added platform hooks (shell and bat)
78f6f9e [CB-2975] implementation of list devices
f186fdb gen bar name function moved from create to lib utils
a633dce [CB-3368] Moving capture to a plugin
dcda568 retagged master to 'dev'
9f336c7 [CB-4007] updated VERSION and cordova js to 2.9.0
8d45e0d [CB-3341] add version script to playbook and bbos, copies VERSION file as part of build action
8d01823 retagged master to dev
22ff2e4 [CB-3455] Added Geolocation plugin
1e8e7b1 [CB-3436] Add ./cordova/version script
2299c0f [CB-3991] Added unit tests for Media plugin
397af32 [CB-3741] Switching from childProcess to shellJS to avoid output related issues on Windows.
db75de5 [CB-3741] Updating utils to create blackberry10.json earlier and offer additional methods.
3e673ff [CB-3741] Updating creation tests not to check stderr to avoid failures when npm has warnings.
ff617f4 [CB-3741] Fix BB10 unit and integration tests
bf507e7 [CB-3741] Fixed create and target integration tests
79599a7 [CB-3951] renamed debug token bar constant string, removing illegal character
335d506 [CB-3914] updated bb platform javascript
b66b2ef [CB-3401] renamed blackberry root folder to bbos
cordova-wp8
---
1ef8f6a [CB-4301] [CB-4300] 3.0.0
f05710d [CB-3177][CB-3176] remove <plugin> support per deprecation policy.
5b75f2e [CB-4215] 3.0.0rc1 prep
adc3581 Updated tooling (kindof) for 3.0.0 reversion
aa7d419 Moved beep.wav to dialogs plugin and updated .vstemplates for 3.0.0
2b45745 [CB-4215] updated corodva js snapshot to 3.0.0rc1
53a68a3 removed plugins from wp7 framework project
d242886 removed plugins from framework project
ab255a2 Updated cordova.js and removed wildcards from .csproj file
9581a36 Removed native DebugConsole code, now it's just javascript
c02fd90 Remove verbose debug output of every command
bc5de98 Removed all plugin dependancies for 3.0.0 and updated cordova.js
2943229 Removed AudioFormatsHelper from templates and added ConsoleHelper
e73b26c remove DebugConsole refs from templates
b28af79 removed DebugConsole and XHRPatching and DOMStorage from cordova.js. It is now part of native
0ad376b Added ConsoleHelper and removed DebugConsole from templates for wp7+8
1c5920e removed DebugConsole permission
c7d47ac adding console helper to wp8 lib project
0985efa Added console polyfill from native IBrowserDecorator
8f98831 [CB-4090] Broken notification handling
98e64cd Made WP7 LocalStorage polyfil part of the native code via IBrowserDecorator
a87588d Added IBrowserDecorator for generic definition of BrowserDecorating functions, including XHR patching, and Orientation.  Mostly these will be polyfills of things we would expect the browser to already have
b5f6026 removed annoying trace of every command
5820369 Console log was spitting out too much text
f4fdc1e added XHRProxy to .csproj file and template file
4b2329b [CB-3993] Thats where the file goes ..
c6e9b87 [CB-3993] applied to WP7
1958625 [CB-3993] oops, file was in the wrong place
b9c3141 fixed warning about invalid version number in dll project
4aab5f7 [CB-3993] XHR is built into WP8, no need for cordova-js to do it.
7efd80f get rid of compiler warning
d023ed6 update location of Plugin objects
184d55f Fix wp8 framework project
05b0212 Buttons were disabled on WP7
d81807c Removed version from cordova.js error message
3436341 remove overly verbose log messages
1514dc8 Revert "update js for 2.9.0rc1"
135ffb9 Windows Phone 8 does not need the WebStorage polyfil
15466a6 Update JS snapshot to version 2.9.0rc1 (via coho)
cordova-osx
---
fdf9971 Updated VERSION to 3.0.0
92965ad [CB-4277] Revert deleting of <param name="onload" value="true" /> support
71a0a38 [CB-4277] onload (boolean) attribute of config.xml param tag is ignored
7506868 Updated RELEASENOTES for 3.0.0
0dff9b4 Updated VERSION file to 3.0.0rc1
ab518bb Updated version in CDVAvailability.h to 3.0.0
3267dbf Updated cordova.js to 3.0.0rc1
a166d3f [CB-3179] Change <plugin> to <feature> in config.xml and remove deprecation notice in OSX
5c6916f Updated js to 2.9.0
355bd47 Updated RELEASENOTES for 2.9.0rc1
587f220 Added missing licenses after running Apache RAT
eb1d750 Updated CDVAvailability version to 2.9.0
4ee23a2 Updated JS snapshot to 2.9.0rc1
cordova-docs
---
52e16d0 Version 3.0.0
f63412b fixed reference for Using Plugman to Manage Plugins
15f11a8 [CB-3827] no more standalone 'Upgrading Guides', so remove this tree
8ea2caa [CB-3827] move former 'Project Settings' to new top-level config_ref tree
c094f96 [CB-3827] new 'appdev' tree contains whitelist & privacy topics
96526bf [CB-3827] new 'hybrid' tree contains webview & plugins exposition
f0ec003 [CB-3827] move plugin spec & plugman doc to new top-level plugin_ref dir
c3b4179 [CB-4312] added blackberry10 2.9.0 to 3.0.0 upgrade guide
b6ebff4 Android Upgrade Guide for 3.0.
17ffa3e Version 3.0.0rc1
8f78f9c [CB-3816] 'plugin list' yields identifier, not 'name'; add/rm supports >1 arg
a2b1719 [CB-3962] specify various editorial conventions
4055dfe [CB-3827] promote CLI content on home page over Platform Guides
739899c [CB-3827] Extended Hybrid Applications => Hybrid Application Guide
9abb64b [CB-3827] Project Settings => Configuration Reference
e27c569 [CB-3827] added platform-specific links to top of each Platform Guide to help w/context; standardized license header; at least 1 file got re-coded
5f2f472 [CB-3827] Superficial markdown convention to make it easier to grep heading structure
ff249f1 [CB-3827] redirect hidden xrefs to renamed app dev guide, still to come
d41088d [CB-3827] swap guide & ref content in home page; rm outdate CL section; minor chuffling & cleanup
fd34731 [CB-3816] xref to plugman doc; page to serve as model for upgrading guides for 3.0
a9705bd [CB-3816] modify plugman doc to remove & xref CLI plugin doc; basic cleanup
572579b [CB-3816] added simple use case for removing a plugin
6ad5737 [CB-3816] add plugin doc to CLI, adapted from new plugman doc
2fca517 [CB-3816] shrink overly wide screen shots
35508a6 [CB-3962] cleaned up plugin spec, conforming to editorial guidelines
fdca73d [CB-4222] (Updated) - Update Upgrading Guide for 2.9.0 -> 3.0.0 for iOS
847dd84 [CB-4031] [BlackBerry10] Fixes for BB10 platform guide
479e92e added corePluginInstall guide
336f88b Added plugin specification.
73bbff0 Removed directions about `chown` w.r.t. CLI use: unnecessary anymore.
7303680 [CB-4222] Update Upgrading Guide for 2.9.0 -> 3.0.0 for iOS
bcc1630 [CB-3816] more info about upgrading to append; add links to Upgrading Guides to discus CLI flow
d907f49 remove colons after headings; they're implicit
e5e6e63 [CB-3962] don't hyphenate adverbs
7bcd0e5 [CB-3962] deprecate unnecessary headings
2d17533 [CB-3962] Update formatting of BlackBerry and BlackBerry 10 guides.
a6d123a [CB-3962] started removing we/let's, but there are too many for now
b624d4e [CB-3962] global: Blackberry => BlackBerry
b4f636d [CB-3962] other minor cleanup to BB plugin sect; better transitions to overview
d84c7f7 [CB-3962] no consecutive headings
d2bbe8d [CB-3822] minor corrections: ios platform guide
a1d1c96 [CB-3822] Update pre-v.10 BlackBerry platform guide.
2cb5aa7 [CB-3822] BB10: how to get PIN, inc screen shot
df31624 [CB-3822] BB10: correct -p (password) and --pin options
b497f24 [CB-3822] Added non-CLI BB10 release build info.
72966e9 [CB-3822] BB10 platform guide update.
e99ea81 [CB-3822] First pass at BlackBerry guide update.
a6cb620 [CB-4224] updated wp docs for 3.0.0
e433a98 Removed hidden ripple content for good.
925f8e9 [CB-3962] Removed unnecessary subheads.
2380642 [CB-3962] em dashes and bulleted topics.
fa94a8e [CB-3962] Change 'simulator' to 'emulate'.
197b50d [CB-3962] Change 'IDE' to 'SDK'.
e87624d [CB-3962] Add to style sheet.
67848cf [CB-4204]: minor doc improvement
8f47da5 [CB-3849] reveal xrefs to Platform Guides
db73632 [CB-4052] Update iOS upgrading docs for archive issue
8d59aba [CB-4138] Updated Readme for deps. on ruby 1.8.7 and nokogiri 1.5.2
8b7d604 [CB-1107] Remove old plugin signature, update Plugin Dev Guide
09d1f7f [CB-4012] notification.beep handles looping now for iOS
a638bb7 [CB-2686] Update Connection reachability to 'cellular' and remove deprecation notice.
d9c639f CB-3420 added hidden option and show method Also minor doc cleanup
c312040 [CB-3962] additional stylesheet items
8c1ec3f [CB-3827] Suppress empty content for Win8/WP7/WP8.
fb2f3e4 [CB-3961] Remove linebreak that suppresses CLI from home page.
2a1e932 [CB-3827] remove comment that screws up Markdown formatting
1cfcb95 [CB-3827] suppress display of firefoxos content
5a8c2cc [CB-3827] rename img dirs & redirect links
cf9a3c3 [CB-3827] redirect hard-coded HTML links based on new dir structure
96d79d8 [CB-3827] fixed problem where supposed '.md' file actually became directory
610314b [CB-3827] move platform-specific files within platforms dir; rename dirs within platforms
cfebdc3 [CB-3827] rename 'getting-started' dirs as 'platforms'
f50e593 [CB-3827] rename & list WebViews sections within Platforms
a0baad9 [CB-3827] Remove other hard-coded HTML links
08f3a01 [CB-3827] Remove explicit HTML links to Command-Line Usage section; fix other HTML links to privacy section
02c4420 [CB-3827] rm 'Command-Line Usage' sect; correct prev commit to add separate CL tools guides within Platform sects
4db1732 [CB-3827] separate platform-specific CL tool guides; still needs cleanup
f488410 [CB-3827] list Upgrading guides within Platform Guides; rm redundant "Cordova"
6ac5f0c [CB-3827] change Project Settings to Configuration
26ec1cd [CB-3822] update wp7 SDK doc; rm info on VS template
48328f0 [CB-3822] videos are out of date; remove
d13c26a [CB-3822] revamp Tizen getting started
a778e46 [CB-3822] iOS common problems
a6d1b16 [CB-3822] iOS requirements & DSK installation
ad38b11 [CB-3822] Update iOS Getting Started guide.
7e38ea0 [CB-4035] Docs for upgrade to 2.8.0 differ from template project (formatting)
d0153c4 Version 2.9.0
5531245 [CB-3366] adjusted for new plugin spec in config.xml
ce225fd [CB-3999] remove note about duration not being supported on ios
da2200b [CB-3744] InAppBrowser docs errors / cleanup
d638c53 [CB-3744] InAppBrowser docs errors / cleanup
e261c2f [CB-3961] Update splashscreen to qualify members.
3826579 [CB-3827] Fix a handful of residual xrefs.
96f146e [CB-3827] Rename 'Getting Started' guides > 'Platform' guides
c2c1f42 [CB-3822] Rewrite Android SDK Guide: emulate/run
371e13a [CB-3822] Rewrite Android SDK Guide (aka Getting Started)
60ec8e7 [CB-3535] Update formatting of Android upgrade guides.
72f7e5b [CB-3535] update docs to include upgrade for android versions
60ea789 [CB-3356] Clarify the WP8 version number used in guide screenshots.
877c3f9 Add some methods to InAppBrowser's ToC
9f456c3 Updated WP7+WP8 instructions for new location of command-line create commands
0a95ef7 [CB-3920] iOS 2.8 to 2.9 upgrade guide
cae760d [CB-3849] Expose overview doc to public.
fa455bc [CB-3223] Reintroduce link to Tizen Getting Started Guide
6dd751f [CB-3921] upgrade guide for 2.8.0 to 2.9.0
eb3fece [CB-3937] enable compatibility-table CSS in public UI
0108032 Revert "[CB-3223] Remove all tizen-related content."
c43e3ed [CB-3922] Upgrade guide for wp7/wp8
b40e8b2 [CB-3223] Remove all Bada-related content.
69cca7d [CB-3223] Remove all WebOS-related content.
5b528da [CB-3223] Remove all symbian-related content.
60aa87a [CB-3223] Remove all tizen-related content.
1b8340a [CB-3223] Remove refs to 4 unsupported platforms.
356cf17 [CB-3849] Expose new CLI guide on the homepage.
9b637e7 [CB-3816] Fix paths to screenshots in CLI guide.
2dbce28 [CB-3926] Update references from x.y.z to x.x.x.
bad21dd [CB-3905] Update Getting Started home page to focus on CLI.
5086513 Version 2.9.0rc1
633ec66 CB-3906: Yay! That was easy!
a00e174 [CB-3752][CB-3753] (2.8.0 Folder) iOS Upgrade Guide is missing instructions for 2.7.0 -> 2.8.0 upgrade
e0165b8 [CB-3923] 2.8.0 to 2.9.0 upgrade guide, fixed version string in previous upgrade guide
cordova-mobile-spec
---
e12609d Set VERSION to 3.0.0 (via coho)
d1c1221 Add missing license header to config.xml
406b537 [CB-4264] Fixed a DirectoryReader test.
0313911 Set VERSION to 3.0.0rc1 (via coho)
aba5de4 [CB-4094] Add some new whitelist tests: Ports, credentials, custom protocols
9cc9b48 Remove deprecated API namespace references
4fd626a [CB-4094] Add whitelist spec tests
2412466 [CB-4094] Add whitelist API plugin
7102bbf Part 2 - Don't check the error type in the badUrl filetransfer test.
7cc276a Don't check the error type in the badUrl filetransfer test.
39a6f2f Fix require path for camera manual test
88e5d5a [CB-4093] Switch whitelist to use wildcards
f210de7 Update id of media plugin to match its plugin.xml
22f8c4d CB-4130 : changed test to be independent of newline
6952056 [CB-4017] Added a DirectoryReader test.
f990e84 Added missing platform and media plugin
c356f6c [CB-4075] Add scheme to access origin attributes in config.xml
e1c4845 [CB-4068] tweak callback waiting msg.
b5bde7f [CB-4063] Missing waitsFor call in file.spec.46.
def11a3 [CB-4062] Fix for test that does not wait properly.
9817938 [CB-4061] Fix copy-pasted spec id in file tests.
f9333c0 Add dependencies-plugin, which I failed to "git add" previously.
e61febb [CB-4013] minor, added space
72e2ccf [CB-4013] fixed to include type="wide"
f80d3f4 Add a config.xml so that mobile-spec can be used as a CLI www/ directory
c61dc14 Remove xhr-based cordova.platform.js loading since it breaks cordova_plugins.json loading
146e093 [CB-3992] Test that FileWriter.write(file) supports binary I/O
4e9b35e [CB-3992] Test that FileWrite.write() supports File objects
bb00902 minor code cleanup
f4e951d trivial test number correction
0cedea9 [CB-3942] add Contacts autotests cleanup
d5eb15a [CB-3485] Fixed device test to now check for model specification
55fd460 [CB-3489] renamed spec description to give a unique number. before splashscreen.spec.2... now splashscreen.spec.3
a0c2690 [CM-3489] Added splashscreen tests to autotest or mobilespec
950c42e [CB-3487] Fixed globalization test to include getPreferredLanguage
ed3f3d0 [CB-3488] - Fixed Globalization test to add check or Globalization error constants
c98b753 [CB-3491] Fixed mobilespec storage test to include check for openDatabase function
95d4bca [CB-3553] added a check for media status constants
cordova-js
---
e670de9 Set VERSION to 3.0.0 (via coho)
a1110ec [CB-4187] Fix the fix for start-up when no plugins are installed.
3a3f0ce Fix grunt tests by deleting plugin-related and legacy BB tests
1965a39 [CB-4004] Fix Android JS bridge break caused by bad rebase before 5ba835c
525e76b Set VERSION to 3.0.0rc1 (via coho)
e74c3f1 [CB-4187] Fix start-up stalling when no plugins are installed.
87cc336 catch exception for missing or invalid file path
1146c63 [all] [CB-3639] Remove console from core.
553681f [all] Fix pluginloader never finishing (broken by recent commit)
52ce7be [All] remove mistaken windows only debug message
c2a6ba1 Fix a failure case in pluginloader where an onerror callback was not being set.
01a9607 [WP] remove plugins
984b1f1 [All] patch, in case console.warn is not defined
0ce4718 [All][CB-4016] plugin loading uses script injection to load cordova_plugins.js
0c80083 [all] [CB-4022] Defer running of <runs> modules until after all scripts are loaded.
5686a32 Change plugin_loader.js into a regular module that is called from bootstrap
08a2641 [CB-3193] [BlackBerry10] Remove all plugins from cordova-js
5409661 [CB-3720] [BlackBerry10] Remove File overrides (moving to plugin)
0e89b60 Use new base64 method for iOS and OSX as well
5ba835c CB 4004: Adding base64 encoding for array buffers, while removing the String expansion
ff21821 [CB-4004] Add base64 encoding utility function
98a62ff Make grunt fail if tests fail.
5ea1a88 [BlackBerry10] [CB-3368] Removing old capture plugin to be replaced by a native one
f96eefc [WP7] DOMStorage is now added/polyfilled via native code
718d011 [CB-3739][Tizen][Tizen SDK 2.1 Nectarine] - splashscreen
d81abfc added done per @infil00p
97dae01 removed XHRPatch plugin, it is now part of native
e208322 [CB-3834] Missing double quotes in iOS deprecation notice
bfc74d6 [CB-3992] Allow FileWriter.write() to accept File as argument
fc67a36 [android] CB-3927 Fix start-up race condition that could cause exec() responses to be dropped. (cherry picked from commit b02ec10bcee21a84f2568bb7615f835f38fc1662)
b02ec10 [android] CB-3927 Fix start-up race condition that could cause exec() responses to be dropped.
3a9b99a Change jake reference in code comments to say "grunt"
2cdca71 [all] CB-3960 Move jshint into grunt (lamely) (cherry picked from commit 3d81324b9d89c8f51b14e2152eec5bfbea094caa)
3d81324 [all] CB-3960 Move jshint into grunt (lamely)
5f553f3 Move computing of commit ID into packager.js (cherry picked from commit 232f389252c94d3f7b5404ccb8c4b96fcf5467fa)
01378a6 [All] [CB-3941] [CB-3940] packaging was failing if pkg existed but pkg/debug did not.  Fixed whitespace difference between build platforms (cherry picked from commit af24bb7d196b141ee6838776da346472835921f1)
232f389 Move computing of commit ID into packager.js
d68f8ab [all] CB-3960 Convert Jakefile -> Gruntfile.js
894f041 [all] CB-3960 Convert Jakefile -> Gruntfile.js
0195db0 [WindowsPhone] Remove DOMStorage Shim in WP8
af24bb7 [All] [CB-3941] [CB-3940] packaging was failing if pkg existed but pkg/debug did not.  Fixed whitespace difference between build platforms
89127a8 moved plugin loader script injection to a function so it can also be called when xhr fails just because the json file is not present.
1fd26e1 Combine XHR + script injection technqieues to load the plugins list (either .json or .js file).
a945b9d more robust error handling.
bd4cff0 Testing non-xhr loader with Fil
0f10e3a [Win8][CB-3540] remove deprecated device.name
0903b29 removed media, media capture, file, file transfer
be7fa32 [CB-3739][Tizen][Tizen SDK 2.1 Nectarine]  - globalize API
8731b31 removed creation of cordovainfoready channel
e53b934 removed device plugin
208b97a [CB-3509] Removed network plugin code from cordova.js 3.0 branch. Removed creation of CordovaConnectionReady channel, and its hook into waitForInitialization.
6152a62 removed camera and globalization
c6482ac removed globalization and camera
dba3744 removed contact code
658fd32 removed splashscreen code
32587e6 removed battery code
c09114e removed InAppBrowser
eda98d1 removed location code
6ec24b1 removed notification code from cordova.js
54961ec removed compass code
8af2f2b Removed accelerometer code
bb10068 removed notification code from cordova.js
5d307fd remove Coordinates class
34f732f removed compass code
c1032c2 Removed accelerometer code
fa57a36 removed compass code
87e1872 Removed accelerometer code
3697fea remove notification symbol file from ios
df4a3a3 remove notification apis from cordova-js
74f1a83 remove geolocation api from Cordova-JS project
7d9d867 remove compass APIs for plugin break out
206bb16 remvoed Accelerometer code
575b51f remove compass APIs for plugin break out
2dde8a7 remvoed Accelerometer code
cordova-app-hello-world
---
c9fb07b Set VERSION to 3.0.0 (via coho)
aa02eb6 Set VERSION to 3.0.0rc1 (via coho)
cordova-plugin-battery-status
---
null
cordova-plugin-camera
---
null
cordova-plugin-console
---
null
cordova-plugin-contacts
---
null
cordova-plugin-device-motion
---
null
cordova-plugin-device-orientation
---
null
cordova-plugin-device
---
null
cordova-plugin-dialogs
---
null
cordova-plugin-file-transfer
---
null
cordova-plugin-file
---
null
cordova-plugin-geolocation
---
null
cordova-plugin-globalization
---
null
cordova-plugin-inappbrowser
---
null
cordova-plugin-media
---
null
cordova-plugin-media-capture
---
null
cordova-plugin-network-information
---
null
cordova-plugin-splashscreen
---
null
cordova-plugin-vibration
---
null
cordova-cli
---
4e0803b 3.0.0!
39f704f 3.0.0rc1-3. plugman dep bumped to 0.9.10.
7326f2a [CB-4286] rearranged
c0594df [CB-4286] changed heading types from # to ##
a8c3fdc [CB-4286] Added known windows issue to README.md
5fdc7e5 3.0.0rc1-2. Bumped plugman to 0.9.9.
3046591 3.0.0rc1-1. bumped plugman dependency to 0.9.8. Fixes [CB-4283]
98b268b added supported platforms to readme.
68aca54 [CB-4128] Change blackberry platform label to blackberry10.
9d5860f bumped plugman dep to 0.9.7 and set version to 3.0.0rc1
95ef9bb [CB-4270] [BlackBerry10] Remove custom emulate logic (moving to cordova-blackberry)
f2d699d [CB-4268] [BlackBerry10] Remove custom BB run logic (moving to cordova-blackberry)
9156cfc updating lib refs to 30.0.rc1
9fae7ea [CB-4207] Support for custom lib in windows.
7702f71 2.9.7
4b15c45 Revert "[CB-4270] [BlackBerry10] Remove custom emulate logic (moving to cordova-blackberry)"
5a40a4c Revert "[CB-4268] [BlackBerry10] Remove custom BB run logic (moving to cordova-blackberry)"
1fb3d50 Fix for check_requirements function wrapper around errors.
2782d5e [CB-4270] [BlackBerry10] Remove custom emulate logic (moving to cordova-blackberry)
686586f [CB-4268] [BlackBerry10] Remove custom BB run logic (moving to cordova-blackberry)
cd7911f [CB-4267] [BlackBerry10] Fix callback chain for build
8e57050 2.9.6
1d9ade2 [CB-4261] Add and test success callbacks for plugin commands.
261fd29 [wp-parsers] fixed deletion of cordova.js reference from .csproj
8a1ddfb [windowsphone] Add www contents from root www folder indead of the project one
1151fae 2.9.5
dc0de97 Added confix_xml function to windows phone parsers
575d986 re-enabling ripple
f204db8 2.9.4. Bumped request dep version from 2.12.x to 2.22.0.
069295a updated plugman dep to 0.9.3
6413daa [CB-4077] updating plugman version to 0.9.0.
cd18d4c [CB-4077] Fix tests for cordova-cli
15fb308 [CB-4077] Separate the actions of removing a plugin from a platform and removing the plugin entirely
8cc97ef 2.9.3
6f99515 [CB-4182] Delay in lazy load module. Simplified with a stream implementation.
062849f [CB-4148] Changing application name for ios needs to update all references to app name in native ios projects.
6773ecd 2.9.2. [CB-3931] Should ignore "CVS" folders for adding plugins.
ac0c95b Merge master2->master
083991b Added missing bin scripts to windows phone
8fce1df Version 2.7.4
b4dd4b0 [CB-3457] Fix Android to support dash in widget id.
926d417 [CB-3419] Change plugin XML namespace to cordova.apache.org
4455e69 Version 2.7.3
bed35f6 Add Windows support to Android platform-scripts.
ddfa083 Add WP7 and WP8 support to cordova-cli.
f59ddbb Add WP7 and WP8 platform files.
b50b528 Reorganize specs into cordova-cli/ and platform-script/
2293706 Revert merge branch 'future' into 'master'
164d064 Version 2.7.0 (npm 2.7.2)
4ff28b3 [CB-3238] Update cordova-blackberry to 2.7.0
ee0a502 [CB-3238] Update cordova-android to 2.7.0
0f619a7 [CB-3238] Update cordova-ios to 2.7.0
dac8583 [CB-3228] Fix 'cordova build blackberry' to use cordova.js
e6ca7df [npm] Version 2.7.1-rc.1
bca5ebf [CB-3227] Fix missing build script in iOS project.
71fb372 Version 2.7.0-rc.1
d277668 CB-3183 handle missing plugins directory
ee26ee9 [npm] Version 2.6.2
f03b1e4 [npm] Version 2.6.1
ab58257 [#3050] Add cordova.platform.support(name, callback).
56e4563 [src] Remove unused platform parsers from compile command.
56b4247 updated version to 2.6.0
72e7265 CB-2811: shell and module-level hooks should receive project root as parameter.
1ed1ee2 2.6.0rc1 used for libs now. Bumped npm version to 2.6.0. added androids local.properties to gitignore.